Skip to main content
GET
/
api
/
mcp-logs
/
histogram
/
top-tools
Error
A valid request URL is required to generate request examples
{
  "tools": [
    {
      "tool_name": "<string>",
      "count": 123,
      "cost": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Management API authentication for /api/* endpoints. Use the Authorization header with Bearer <API key>. Virtual keys, dashboard/user/session tokens, and x-api-key headers are not supported on management APIs.

Query Parameters

tool_names
string

Comma-separated list of tool names to filter by

server_labels
string

Comma-separated list of server labels to filter by

status
string

Comma-separated list of statuses to filter by (processing, success, error)

virtual_key_ids
string

Comma-separated list of virtual key IDs to filter by

llm_request_ids
string

Comma-separated list of LLM request IDs to filter by

start_time
string<date-time>

Start time filter (RFC3339 format)

end_time
string<date-time>

End time filter (RFC3339 format)

min_latency
number

Minimum latency filter (milliseconds)

max_latency
number

Maximum latency filter (milliseconds)

Search in tool arguments and results

Response

MCP top tools retrieved successfully

Top MCP tools by call count (limit 10)

tools
object[]